geo_header

## Public Types

typedef size_t | size_type
typedef space_constant::coordinate_type | coordinate_type

## Public Member Functions

| geo_header ()
bool | need_upgrade () const

## Public Attributes

size_type | dimension
size_type | map_dimension
coordinate_type | sys_coord
size_type | order
size_type | dis_size_by_variant [reference_element::max_variant]
size_type | dis_size_by_dimension [4]

## Detailed Description

Definition at line 32 of file geo_header.h.

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 33 of file geo_header.h.

## coordinate_type

typedef space_constant::coordinate_type coordinate_type

Definition at line 34 of file geo_header.h.

## Constructor & Destructor Documentation

## geo_header()

geo_header | ( |  | ) |

Definition at line 47 of file geo_header.h.

## Member Function Documentation

## need_upgrade()

bool need_upgrade | ( |  | ) | const

Definition at line 79 of file geo_header.cc.

## Member Data Documentation

## dimension

size_type dimension

Definition at line 39 of file geo_header.h.

## map_dimension

size_type map_dimension

Definition at line 40 of file geo_header.h.

## sys_coord

coordinate_type sys_coord

Definition at line 41 of file geo_header.h.

## order

size_type order

Definition at line 42 of file geo_header.h.

## dis_size_by_variant

size_type dis_size_by_variant[reference_element::max_variant]

Definition at line 43 of file geo_header.h.

## dis_size_by_dimension

size_type dis_size_by_dimension[4]

Definition at line 44 of file geo_header.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_header.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_header.cc